noinst_LTLIBRARIES = libpsmoduledetrend.la

libpsmoduledetrend_la_CPPFLAGS = $(SRCINC) $(PSMODULE_CFLAGS)
libpsmoduledetrend_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmoduledetrend_la_SOURCES  = pmFlatField.c \
    pmMaskBadPixels.c \
    pmNonLinear.c

psmoduleincludedir = $(includedir)
psmoduleinclude_HEADERS = \
  pmFlatField.h \
  pmFlatFieldErrors.h \
  pmMaskBadPixelsErrors.h \
  pmMaskBadPixels.h \
  pmNonLinear.h

EXTRA_DIST = pmFlatFieldErrors.dat pmMaskBadPixelsErrors.dat